Upstream information

CVE-2009-1791 at MITRE

Description

Heap-based buffer overflow in aiff_read_header in libsndfile 1.0.15 through 1.0.19, as used in Winamp 5.552 and possibly other media programs, allows remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via an AIFF file with an invalid header value.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 504434 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • libsndfile >= 1.0.17-172.14.1
  • libsndfile-32bit >= 1.0.17-172.14.1
  • libsndfile-x86 >= 1.0.17-172.14.1
Patchnames:
slessp0-libsndfile
SUSE Linux Enterprise Server 11 SP1
  • libsndfile >= 1.0.20-2.1.46
  • libsndfile-32bit >= 1.0.20-2.1.46
  • libsndfile-x86 >= 1.0.20-2.1.46
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA libsndfile
SUSE Linux Enterprise Server 11 SP2
  • libsndfile >= 1.0.20-2.4.1
  • libsndfile-32bit >= 1.0.20-2.4.1
  • libsndfile-x86 >= 1.0.20-2.4.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA libsndfile
SUSE Linux Enterprise Server 11 SP3
  • libsndfile >= 1.0.20-2.4.1
  • libsndfile-32bit >= 1.0.20-2.4.1
  • libsndfile-x86 >= 1.0.20-2.4.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libsndfile
SUSE Linux Enterprise Server 11 SP4
  • libsndfile >= 1.0.20-2.6.5
  • libsndfile-32bit >= 1.0.20-2.6.5
  • libsndfile-x86 >= 1.0.20-2.6.5
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libsndfile
SUSE Linux Enterprise Server for SAP Applications 11
  • libsndfile >= 1.0.17-172.14.1
  • libsndfile-32bit >= 1.0.17-172.14.1
  • libsndfile-x86 >= 1.0.17-172.14.1
Patchnames:
slessp0-libsndfile
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libsndfile-devel >= 1.0.20-2.6.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libsndfile-devel
SUSE Linux Enterprise SDK 11 GA
  • libsndfile-devel >= 1.0.17-172.14.1
sled11.x86-64
sles11.ia64
sle11-debuginfo.s390x
sle11-debuginfo.ia64
sles11.x86
sle11-debuginfo.x86-64
sle11-sdk.ia64
sles11.x86-64
sles11.s390x
sle11-sdk.s390x
sles11.ppc
sled11.x86
sle11-sdk.x86-64
sle11-debuginfo.ppc
sle11-sdk.ppc
sle11-sdk.x86
sle11-debuginfo.x86
SAT Patch Nr: 944
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • libsndfile >= 1.0.17-172.14.1
sled11.x86-64
sles11.ia64
sle11-debuginfo.s390x
sle11-debuginfo.ia64
sles11.x86
sle11-debuginfo.x86-64
sle11-sdk.ia64
sles11.x86-64
sles11.s390x
sle11-sdk.s390x
sles11.ppc
sled11.x86
sle11-sdk.x86-64
sle11-debuginfo.ppc
sle11-sdk.ppc
sle11-sdk.x86
sle11-debuginfo.x86
SAT Patch Nr: 944
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • libsndfile >= 1.0.17-172.14.1
  • libsndfile-32bit >= 1.0.17-172.14.1
sled11.x86-64
sles11.ia64
sle11-debuginfo.s390x
sle11-debuginfo.ia64
sles11.x86
sle11-debuginfo.x86-64
sle11-sdk.ia64
sles11.x86-64
sles11.s390x
sle11-sdk.s390x
sles11.ppc
sled11.x86
sle11-sdk.x86-64
sle11-debuginfo.ppc
sle11-sdk.ppc
sle11-sdk.x86
sle11-debuginfo.x86
SAT Patch Nr: 944
SUSE Linux Enterprise Server 11 GA
  • libsndfile >= 1.0.17-172.14.1
  • libsndfile-x86 >= 1.0.17-172.14.1
sled11.x86-64
sles11.ia64
sle11-debuginfo.s390x
sle11-debuginfo.ia64
sles11.x86
sle11-debuginfo.x86-64
sle11-sdk.ia64
sles11.x86-64
sles11.s390x
sle11-sdk.s390x
sles11.ppc
sled11.x86
sle11-sdk.x86-64
sle11-debuginfo.ppc
sle11-sdk.ppc
sle11-sdk.x86
sle11-debuginfo.x86
SAT Patch Nr: 944
openSUSE 11.0
  • libsndfile-debuginfo >= 1.0.17-141.4
  • libsndfile-debugsource >= 1.0.17-141.4
openSUSE 11.0
  • libsndfile >= 1.0.17-141.4
  • libsndfile-32bit >= 1.0.17-141.4
  • libsndfile-64bit >= 1.0.17-141.4
  • libsndfile-devel >= 1.0.17-141.4
  • libsndfile-octave >= 1.0.17-141.4
  • libsndfile-progs >= 1.0.17-141.4
openSUSE 11.1
  • libsndfile-debuginfo >= 1.0.17-171.9.1
  • libsndfile-debuginfo-32bit >= 1.0.17-171.9.1
  • libsndfile-debuginfo-64bit >= 1.0.17-171.9.1
  • libsndfile-debugsource >= 1.0.17-171.9.1
openSUSE 11.1
  • libsndfile >= 1.0.17-171.9.1
  • libsndfile-32bit >= 1.0.17-171.9.1
  • libsndfile-64bit >= 1.0.17-171.9.1
  • libsndfile-devel >= 1.0.17-171.9.1
  • libsndfile-octave >= 1.0.17-171.9.1
  • libsndfile-progs >= 1.0.17-171.9.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA libsndfile Released
SUSE Linux Enterprise SDK 11 GA libsndfile Released
SUSE Linux Enterprise Server 11 GA libsndfile Released